import { BrowserModule } from '@angular/platform-browser';
import { ErrorHandler, NgModule } from '@angular/core';
import { IonicApp, IonicErrorHandler, IonicModule } from 'ionic-angular';
import { SplashScreen } from '@ionic-native/splash-screen';
import { StatusBar } from '@ionic-native/status-bar';
import { HttpModule } from '@angular/http';


import { MyApp } from './app.component';
import { Tabs } from '../pages/tabs/tabs';
import { News } from '../pages/news/news';
import { Programme } from '../pages/programme/programme';
import { Tours } from '../pages/tours/tours';
import { Campus } from '../pages/campus/campus';
import { Imprint } from '../pages/imprint/imprint';
import { Sponsors } from '../pages/sponsors/sponsors';
import { Settings } from '../pages/settings/settings';

@NgModule({
  declarations: [
    MyApp,
    Tabs,
    News,
    Programme,
    Tours,
    Campus,
    Imprint,
    Sponsors,
    Settings
  ],
  imports: [
    BrowserModule,
    HttpModule,
    IonicModule.forRoot(MyApp)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    Tabs,
    News,
    Programme,
    Tours,
    Campus,
    Imprint,
    Sponsors,
    Settings
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler}
  ]
})
export class AppModule {}
