import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, LoadingController } from 'ionic-angular';
import { ScheduleProvider } from '../../providers/schedule-provider';
import { ViewChild } from '@angular/core';
import { Slides } from 'ionic-angular';

/**
 * Generated class for the Programme page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
@IonicPage()
@Component({
  selector: 'page-programme',
  templateUrl: 'programme.html',
  providers:[ScheduleProvider],
})
export class Programme {
  @ViewChild(Slides) slides: Slides;
  room: string = "0";
  loading: any;
  scheduleData: any;
  constructor(public navCtrl: NavController, public navParams: NavParams, private scheduleProvider:ScheduleProvider, public loadingCtrl: LoadingController) {

  this.loading = this.loadingCtrl.create({
    content: `
      <ion-spinner ></ion-spinner>`
  });
  this.getdata();
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad Programme');
  }

  getdata(){
  this.scheduleProvider.getJsonData().subscribe(
    result => {
      this.scheduleData=result.data.children;
      console.log("Success : "+this.scheduleData);
    },
    err =>{
      console.error("Error : "+err);
    } ,
    () => {
      console.log('getData completed');
    }
  );
  }

  slideChanged() {
    let currentIndex = this.slides.getActiveIndex();
    this.room = String(currentIndex);
  }
}
